# Class ComputeJobExecutionError

### Hierarchy

- Error
  - ComputeJobExecutionError

### Constructors

- constructor

### Properties

- job
- log
- message
- name
- stack
- Error

## Constructors

### constructor

- new ComputeJobExecutionError(job: Job, log: string): ComputeJobExecutionError

- - Defined in src/types/ComputeJobExecutionError.ts:3

  #### Parameters

  - ##### job: Job

  - ##### log: string

  #### Returns ComputeJobExecutionError

## Properties

### job

job: Job

- Defined in src/types/ComputeJobExecutionError.ts:4

### log

log: string

- Defined in src/types/ComputeJobExecutionError.ts:4

### message

message: string

Inherited from ComputeJobExecutionError.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:974

### name

name: string

Inherited from ComputeJobExecutionError.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:973

### Optional stack

stack: undefined | string

Inherited from ComputeJobExecutionError.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:975

### Static Error

Error: ErrorConstructor

- Defined in node_modules/typescript/lib/lib.es5.d.ts:984

Generated using TypeDoc